%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate libz-sys

Name:           rust-libz-sys
Version:        1.1.16
Release:    2%{?dist}
Summary:        Low-level bindings to the system libz library (also known as zlib)

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libz-sys
Source0:         %{crates_source}
Patch:          libz-sys-fix-metadata.diff
Patch:          0001-unconditionally-use-pkg-config-to-link-with-system-z.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(zlib)

%global _description %{expand:
Low-level bindings to the system libz library (also known as zlib).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(zlib)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stock-zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stock-zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "stock-zlib" feature of the "%{crate}" crate.

%files       -n %{name}+stock-zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
rm -r src/zlib/
rm -r src/zlib-ng/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com>
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.16-1
- initial build
